org.minidns.dnslabel

## Class XnLabel

- java.lang.Object
- - org.minidns.dnslabel.DnsLabel
  - - org.minidns.dnslabel.LdhLabel
    - - org.minidns.dnslabel.ReservedLdhLabel
      - - org.minidns.dnslabel.XnLabel

- All Implemented Interfaces:
    CharSequence, Comparable<DnsLabel>
  Direct Known Subclasses:
    ALabel, FakeALabel

      public abstract class XnLabel
      extends ReservedLdhLabel

  A label that begins with "xn--" and follows the LDH rule.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.minidns.dnslabel.DnsLabel

      `DnsLabel.LabelToLongException`

  - ### Field Summary

    - ### Fields inherited from class org.minidns.dnslabel.DnsLabel

      `label, MAX_LABEL_LENGTH_IN_OCTETS, VALIDATE, WILDCARD_LABEL`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `XnLabel(String label)`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static LdhLabel` | `fromInternal(String label)`
    `static boolean` | `isXnLabel(String label)`
    `(package private) static boolean` | `isXnLabelInternal(String label)`

    - ### Methods inherited from class org.minidns.dnslabel.ReservedLdhLabel

      `isReservedLdhLabel, isReservedLdhLabelInternal`

    - ### Methods inherited from class org.minidns.dnslabel.LdhLabel

      `isLdhLabel`

    - ### Methods inherited from class org.minidns.dnslabel.DnsLabel

      `asLowercaseVariant, charAt, compareTo, equals, from, from, getInternationalizedRepresentation, getInternationalizedRepresentationInternal, getLabelType, hashCode, isIdnAcePrefixed, length, subSequence, toString, writeToBoas`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.CharSequence

      `chars, codePoints`

- - ### Constructor Detail

    - #### XnLabel

          protected XnLabel(String label)

  - ### Method Detail

    - #### fromInternal

          protected static LdhLabel fromInternal(String label)

    - #### isXnLabel

          public static boolean isXnLabel(String label)

    - #### isXnLabelInternal

          static boolean isXnLabelInternal(String label)